<?php
use Setka\Workflow\Plugin;
use Symfony\Component\DependencyInjection\ContainerBuilder;

/*
    Plugin Name: Setka Workflow
    Plugin URI: https://workflow.setka.io/
    Description: Setka Workflow Integration Plugin is designed to integrate your WordPress site with Setka Workflow space.
    Author: Native Grid LLC
    Author URI: https://setka.io/
    Version: 1.0.11
    Text Domain: setka-workflow
    Domain Path: /languages/
    Requires at least: 4.0
    Tested up to: 5.1.1
    License: GPLv2 or later
*/

if (!class_exists('Setka\Workflow\Plugin')) {
    // If class not exists this means that a wordpress.org version running
    // and we need to require our own autoloader.
    // If you using WordPress installation with composer just require
    // your own autoload.php as usual. In this case,
    // the plugin doesn't require any additional autoloaders.
    require_once __DIR__ . '/vendor/autoload.php';
}
function setkaWorkflowRunner()
{
    global $container;
    $plugin = $GLOBALS['WPSetkaWorkflowPlugin'] = new Plugin(__FILE__);

    if (isset($container) && is_a($container, 'Symfony\Component\DependencyInjection\ContainerBuilder')) {
        $plugin->setContainer($container);
    } else {
        $plugin->setContainer(new ContainerBuilder());
    }

    $plugin->configureDependencies()->run();

    if (is_admin()) {
        $plugin->runAdmin();
    }
}
setkaWorkflowRunner();
